summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2019-10-13 21:58:46 -0500
committerLars Wendler <polynomial-c@gentoo.org>2019-10-14 08:43:38 +0200
commit50c601ef08f894524b063c37e3eff641b7e1df23 (patch)
treec86b60d16859f1e77a3b1d4bebe1750d299360b2 /www-client/seamonkey
parentdev-ruby/multi_json: add 1.14.0 (diff)
downloadgentoo-50c601ef08f894524b063c37e3eff641b7e1df23.tar.gz
gentoo-50c601ef08f894524b063c37e3eff641b7e1df23.tar.bz2
gentoo-50c601ef08f894524b063c37e3eff641b7e1df23.zip
www-client/seamonkey: Fix gcc-9 support to not break plugins
Closes: https://bugs.gentoo.org/685092 Signed-off-by: Jory Pratt <anarchy@gentoo.org> Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'www-client/seamonkey')
-rw-r--r--www-client/seamonkey/files/seamonkey-gcc9.patch22
-rw-r--r--www-client/seamonkey/seamonkey-2.49.5-r1.ebuild (renamed from www-client/seamonkey/seamonkey-2.49.5.ebuild)6
-rw-r--r--www-client/seamonkey/seamonkey-2.49.9.1_p0.ebuild6
3 files changed, 6 insertions, 28 deletions
diff --git a/www-client/seamonkey/files/seamonkey-gcc9.patch b/www-client/seamonkey/files/seamonkey-gcc9.patch
deleted file mode 100644
index 87d14e6a16c..00000000000
--- a/www-client/seamonkey/files/seamonkey-gcc9.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/mozilla/js/xpconnect/src/XPCWrappedNative.cpp.ORIG 2018-07-09 21:54:43.000000000 +0200
-+++ b/mozilla/js/xpconnect/src/XPCWrappedNative.cpp 2019-05-04 17:49:23.893560494 +0200
-@@ -2218,15 +2218,16 @@
- const char* fmt = (i == 0) ?
- "(%s" : (i == count-1) ?
- ", %s)" : ", %s";
-+
-+ if (!name) {
-+ return nullptr;
-+ }
- name = JS_sprintf_append(name, fmt,
- array[i]->GetNameString());
- }
- }
- }
-
-- if (!name) {
-- return nullptr;
-- }
- const char* fmt = "[xpconnect wrapped %s" FMT_ADDR FMT_STR(" (native")
- FMT_ADDR FMT_STR(")") "]";
- if (si) {
diff --git a/www-client/seamonkey/seamonkey-2.49.5.ebuild b/www-client/seamonkey/seamonkey-2.49.5-r1.ebuild
index 42817d46f0a..7bc6b4b0d5f 100644
--- a/www-client/seamonkey/seamonkey-2.49.5.ebuild
+++ b/www-client/seamonkey/seamonkey-2.49.5-r1.ebuild
@@ -125,9 +125,6 @@ src_prepare() {
eapply "${WORKDIR}"/firefox
popd &>/dev/null || die
- # gcc9 patch #685092
- eapply "${FILESDIR}"/${PN}-gcc9.patch
-
if grep -q '^sdkdir.*$(MOZ_APP_NAME)-devel' mozilla/config/baseconfig.mk ; then
sed '/^sdkdir/s@-devel@@' \
-i mozilla/config/baseconfig.mk || die
@@ -147,6 +144,9 @@ src_prepare() {
local ms="${S}/mozilla"
+ # Don't error for format with gcc-9
+ grep -rl -- '-Werror=format' | xargs sed -i 's/error=format/no-&/' || die "sed failed"
+
# Enable gnomebreakpad
if use debug ; then
sed -i -e "s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \
diff --git a/www-client/seamonkey/seamonkey-2.49.9.1_p0.ebuild b/www-client/seamonkey/seamonkey-2.49.9.1_p0.ebuild
index d841b16c823..cf04b840c0a 100644
--- a/www-client/seamonkey/seamonkey-2.49.9.1_p0.ebuild
+++ b/www-client/seamonkey/seamonkey-2.49.9.1_p0.ebuild
@@ -156,9 +156,6 @@ src_prepare() {
eapply "${WORKDIR}"/firefox
popd &>/dev/null || die
- # gcc9 patch #685092
- eapply "${FILESDIR}"/${PN}-gcc9.patch
-
if grep -q '^sdkdir.*$(MOZ_APP_NAME)-devel' mozilla/config/baseconfig.mk ; then
sed '/^sdkdir/s@-devel@@' \
-i mozilla/config/baseconfig.mk || die
@@ -183,6 +180,9 @@ src_prepare() {
local ms="${S}/mozilla"
+ # Don't error for format with gcc-9
+ grep -rl -- '-Werror=format' | xargs sed -i 's/error=format/no-&/' || die "sed failed"
+
# Enable gnomebreakpad
if use debug ; then
sed -i -e "s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \